Daemon Power

The NetBSD Packages Collection: www/php-phalcon

Brief description of the package:
Web framework implemented as a C extension offering high performance

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://phalconphp.com/.

Please note that this package has a php license.

The package is located in the "www/php-phalcon" directory. The current source version of the package is "php71-phalcon-3.4.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/php-phalcon :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: php71-curl>=5.6.0 php>=7.0.99<7.1.99 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 cwrappers>=20150314 readline>=2.2 libxml2>=2.8.0nb2 readline>=6.0 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 nghttp2>=1.39.2nb1 curl>=7.65.3nb3 php71-gd>=5.6.0 gd>=2.0.15nb1 perl>=5.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gd>=2.2.5nb2 php71-json>=5.6.0 php71-mbstring>=5.6.0 php71-pdo>=5.6.0 php71-pdo_mysql>=5.6.0 mysql-client>=5.7.12<5.8 editline>=3.0.20130712nb1 lz4>=1.7.3<100 boost-libs-1.71.* icu>=3.4 icu>=64.1 boost-jam-1.71.* libevent>=0.6 lz4>=1.7.3 boost-libs>=1.71.0 libevent>=2.0.22nb1 boost-headers-1.71.* php71-pdo-7.* mysql-client>=5.7.12 php71-pdo>=5.2.9 re2c>=0.15.3 php71-json>0 .

This package requires the following package(s) to run: php71-curl>=5.6.0 php>=7.0.99<7.1.99 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 readline>=2.2 libxml2>=2.8.0nb2 readline>=6.0 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 nghttp2>=1.39.2nb1 curl>=7.65.3nb3 php71-gd>=5.6.0 gd>=2.0.15nb1 perl>=5.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.13.0 libwebp>=0.6.0 gd>=2.2.5nb2 php71-json>=5.6.0 php71-mbstring>=5.6.0 php71-pdo>=5.6.0 php71-pdo_mysql>=5.6.0 mysql-client>=5.7.12<5.8 editline>=3.0.20130712nb1 lz4>=1.7.3<100 boost-libs-1.71.* icu>=3.4 icu>=64.1 libevent>=0.6 lz4>=1.7.3 boost-libs>=1.71.0 libevent>=2.0.22nb1 php71-pdo-7.* mysql-client>=5.7.12 php71-pdo>=5.2.9 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
alpha:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
alpha:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv6hf:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv6hf:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv6hf:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv6hf:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv6hf:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv6hf:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv7hf:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv7hf:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv7hf:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv7hf:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv7hf:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
earmv7hf:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php56-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php71-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php72-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php56-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php71-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php72-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php56-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php71-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php72-phalcon-3.4.0.tgz(NetBSD 7.0)
i386:php56-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php71-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php72-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php56-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php71-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php72-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php56-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php71-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php72-phalcon-3.4.0.tgz(NetBSD 7.1)
i386:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
i386:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
sparc64:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
sparc64:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
sparc64:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
sparc64:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
sparc64:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
sparc64:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 7.0)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 7.1)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php56-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php71-phalcon-3.4.0.tgz(NetBSD 8.0)
x86_64:php72-phalcon-3.4.0.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]